Install fails with: Key not valid for use in spacified state

Win7 32bit latest SP and latest updates.

I have used SourceTree for a while there no problem.

When upgrading to SourceTreeSetup_1.6.3.exe something went wrong and now I cannot install any version of it.

During "Status: Updating component registration", a message-box with caption "SourceTree" pops up saying: "Key not valid for use in spacified state".

I restored to a previous restore-point but didn't help. Cleaned up my creds vault, deleted any SourceTree leftover registry entries, and check to see if there are any SourceTree certs that might need to be deleted, but NO LOVE.

How in the world can I fully uninstall this thing so it lets me install 1.6.3?

I've been forced to use VS 2013's git integration and I'm about to go Hara-Kiri if this goes on for much longer man!

Thanks in advance

1 answer

This widget could not be displayed.

I have the same issue but only on one machine. Other updated fine.

Suggest an answer

Log in or Sign up to answer
Community showcase
Published May 30, 2018 in Sourcetree

Tip from the team: configuring Git or Mercurial in Sourcetree

Supported Platforms macOS Windows To make using Sourcetree as simple yet powerful as possible we embed (bundle) dependencies such as Git, Git LFS, and Mercurial. We strive to keep these...

885 views 2 3
Read article

Atlassian User Groups

Connect with like-minded Atlassian users at free events near you!

Find a group

Connect with like-minded Atlassian users at free events near you!

Find my local user group

Unfortunately there are no AUG chapters near you at the moment.

Start an AUG

You're one step closer to meeting fellow Atlassian users at your local meet up. Learn more about AUGs

Groups near you